Subject: Re: #274: Warn-code registry

From: Mark Nottingham <[email-masked]>
Date: Sat, 3 Dec 2011 11:17:05 +1100

I'm inclined to establish the registry now, if it can be needed; otherwise it's effectively open season, and we're chartered to define extensibility, after all.

I'll work on a proposal.

Cheers,

On 29/11/2011, at 7:41 PM, Julian Reschke wrote:

> On 2011-11-29 05:33, Mark Nottingham wrote:
>> <http://trac.tools.ietf.org/wg/httpbis/trac/ticket/274>
>> 
>> I think we have two options here:
>> 
>> 1) establish a warn-code registry
>> 2) disallow definition of further warn-codes (i.e., deprecate extensibility here)
>> 
>> Thoughts?
>> 
>> Regards,
> 
> We haven't seen any serious attempt to define a new warn code yet. (there was one misguided attempt, as far as I recall).
> 
> I +0 on deprecating; but one could also argue that it's bad enough not to add extensibility, but not bad enough for deprecation.
> 
> If, at some point in the future, a really good use case for a new Warn code comes up, we still can define a registry. But that's a big "if".
> 
> Best regards, Julian
> 

--
Mark Nottingham   http://www.mnot.net/